Subject: Ticket Assigned - Refund request - complaint number 1877357
From: Babyshop <[email-masked]>
To: [email-masked]
Date: Wed, 30 Dec 2020 07:42:56 +0000

Hi Juhi Goel,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Refund request - complaint number 1877357 Dear Team,
Have a good day,
I am desperately chasing for the refund for my chicco car seat. Item returned a month ago. So many calls still looking for way forward.The card I have been used it for already closed now . I can give my account details. Please let me know what I should do to get the refund earliest 
My contact number 0501549333

Thanks 

Sent from Yahoo Mail for iPhone

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/1936035